﻿Imports System.IO

Namespace BinaryReaderWriterExample
    Class Program
        Shared Sub Main(args As String())
            Dim path = "C:\temp\numbers.dat"
            Dim random = New Random()
            Dim fileStream = File.OpenWrite(path)
            Using writer = New BinaryWriter(fileStream)
                For i = 0 To 9
                    writer.Write(random.Next(0, 100))
                Next
            End Using

            fileStream = File.OpenRead(path)
            Using reader = New BinaryReader(fileStream)
                Dim number As Integer
                For i = 0 To 9
                    number = reader.ReadInt32()
                    Console.WriteLine(number)
                Next
            End Using

            Console.ReadKey()
        End Sub
    End Class
End Namespace
